<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Oath
 */

?>

	</div><!-- #content -->

	<footer id="colophon" class="site-footer" role="contentinfo">
		<?php if ( is_active_sidebar( 'footer-1' ) || is_active_sidebar( 'footer-2' ) || is_active_sidebar( 'footer-3' ) ) : ?>
			<div class="footer-widgets">
				<?php if ( is_active_sidebar( 'footer-1' ) ) : ?>
					<div class="widget-area">
						<?php dynamic_sidebar( 'footer-1' ); ?>
					</div>
				<?php endif; ?>
				<?php if ( is_active_sidebar( 'footer-2' ) ) : ?>
					<div class="widget-area">
						<?php dynamic_sidebar( 'footer-2' ); ?>
					</div>
				<?php endif; ?>
				<?php if ( is_active_sidebar( 'footer-3' ) ) : ?>
					<div class="widget-area">
						<?php dynamic_sidebar( 'footer-3' ); ?>
					</div>
				<?php endif; ?>
			</div>
		<?php endif; ?>
		<div class="site-info">
			<?php if ( function_exists( 'the_custom_logo' ) && has_custom_logo() ) : ?>
				<?php the_custom_logo(); ?>
			<?php else : ?>
				<div class="site-title">
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
				</div><!-- .site-title -->
			<?php endif; ?>
			<div class="site-credits">
				<?php printf( esc_html__( 'Theme: %1$s by %2$s.', 'oath' ), 'Oath', '<a href="https://themetry.com" rel="designer">Themetry</a>' ); ?>
			</div><!-- .site-credits -->
		</div><!-- .site-info -->
		<?php if ( has_nav_menu( 'footer' ) || has_nav_menu( 'social-footer' ) ) : ?>
			<div class="footer-menus">
				<?php if ( has_nav_menu( 'social-footer' ) ) : ?>
					<nav class="social-navigation" role="navigation">
						<?php wp_nav_menu( array(
							'theme_location'  => 'social-footer',
							'depth'           => 1,
							'link_before'     => '<span class="screen-reader-text">',
							'link_after'      => '</span>',
							'menu_id' => 'social-footer', ) );
						?>
					</nav><!-- .social-navigation -->
				<?php endif; ?>
				<?php if ( has_nav_menu( 'footer' ) ) : ?>
					<nav class="footer-navigation" role="navigation">
						<?php wp_nav_menu( array(
							'theme_location' => 'footer',
							'depth'          => 1,
							'menu_id'        => 'footer-menu' ) );
						?>
					</nav><!-- .footer-navigation -->
				<?php endif; ?>
			</div>
		<?php endif; ?>
	</footer><!-- #colophon -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
